OVERCHAN(8)

NAME
overchan - update the news overview database

SYNOPSIS
overchan [ -D dir ] [ -c ] [ file... ]

DESCRIPTION
Overchan reads article data from files or standard input if none are specified. (A single dash in the file list means to read standard input.) It uses this information to update the news overview database. Overchan is designed to be used by InterNetNews or the C News ``mkov'' packages to update the database as the articles come in. The database for each newsgroup is stored in a file named .overview in a newsgroup directory within the overview database tree.

Overchan locks the database file (by locking an auxiliary file) before appending the new data. To purge data after articles have been expired, see expireover(8).

By default, overchan processes its input as an INN overview stream written as a ``WO'' entry in the newsfeeds(5) file, for example:

    overview:*:Tc,WO:/usr/lib/news/bin/overchan

This data consists of a line of text, separated into two parts by a tab. The first part is a list of all relative pathnames where the article has been written, with a single space between entries. The second part is the data to be written into the overview file, except that the initial article number is omitted. The data in the overview files should be expired by running expireover(8). This is normally done by adding the ``expireover'' flag to the news.daily(8) invocation.

OPTIONS

-c  To process the output of the mkov(8) program, use the ``-c'' flag. This format is described in the ``nov'' distribution.

-D  The ``-D'' flag can be used to specify where the databases are stored. The default directory is /var/spool/news/over.view.

HISTORY
Written by Rob Robertson <rob@violet.berkeley.edu> and Rich $alz <rsalz@uunet.uu.net> for InterNetNews.

SEE ALSO
expireover(8), news.daily(8), newsfeeds(5), newsoverview(5), newsoverview(8).